//
//  ConversionJob.h
//  DOCtor
//
//  Created by andrew on Thu Apr 12 2001.
//


typedef enum {
	ConversionNeedsInfo,
	ConversionReadyToBegin,
	ConversionBusy,
	ConversionDone,
	ConversionAborted,
	ConversionError
} ConversionStatus;

@interface ConversionJob: NSObject <NSCopying>
{
	NSString *inputPath;
	NSString *outputPath;
	NSString *statusString;    
        NSString *paperName;    
        BOOL _isLandscape;
	ConversionStatus conversionStatus;
}


// these class methods let the UI determine what can really be converted:
+ (NSArray *)convertibleFileTypes;
+ (BOOL)canConvertFile:(NSString *)path;

- (void)abort;

// this is ConversionJob's designated initializer:
- (id)initWithInputFile:(NSString *)docFile outputFile:(NSString *)psFile landscape:(BOOL)landscape paperName:(NSString *)paper;


// these represent the various paramters to a conversion:

- (void)setLandscape:(BOOL)bin;
- (BOOL)landscape;

- (NSArray *)arguments;
- (int)doExecution:(id)delegate;

- (NSString *)inputPath;
- (void)setInputPath:(NSString *)path;

- (NSString *)outputPath;
- (void)setOutputPath:(NSString *)path;
- (NSString *)validOutputPath;

- (NSString *)statusString;
- (void)setStatusString:(NSString *)status;

- (NSString *)paperName;
- (void)setPaperName:(NSString *)name;

- (ConversionStatus)conversionStatus;
- (void)setConversionStatus:(ConversionStatus)status;


extern NSString *JobStatusDidChangeNotification;

@end
