#import <Cocoa/Cocoa.h>

@interface DRController : NSObject
{
    IBOutlet id statusField;
    IBOutlet id well;
    IBOutlet id window;
    
    IBOutlet id portraitLandscapeMatrix;
    IBOutlet id paperSizePopUp;
    IBOutlet id openInCreateSwitch;
    
    IBOutlet id textLogView;	// the console
    
    IBOutlet id drawer;
    
    IBOutlet id tabView;	// GPL license and other help info
}

// exposed API for drag and drops:
- (BOOL)convertAndOpenFile:(NSString *)docFile;

// the callback after the antiword executable terminates:
- (void)taskTerminated:(BOOL)success outputFile:(NSString *)outpout;


// IB actions - open MainMenu.nib in IB to see what's connected to what:

// menu items:
- (IBAction)gotoStoneSite:(id)sender;
- (IBAction)showLogAction:(id)sender;
- (IBAction)showGPLAction:(id)sender;
- (IBAction)showSourceAction:(id)sender;
- (IBAction)showDOCtorSourceAction:(id)sender;


// ui items:

- (IBAction)changeOpenInCreateAction:(id)sender;
- (IBAction)toggleDrawer:(id)sender;

// our console text:
- (id)logText;

@end
