/* SDLogTask.h created by andrew on Thu 30-Apr-1998 */
//
// A wrapper of some intense multi-threaded code
// To allow you to spawn a task and see the errors
//

#import <AppKit/AppKit.h>

@interface SDLogTask : NSObject
{
	id owner;
	NSTextView *logText;
	NSTask *task;
	BOOL includeStandardOutput;
        NSString *outFile;
	NSPipe *standardErrorPipe;
	NSPipe *standardOutputPipe;
	NSFileHandle *standardErrorHandle;
        NSFileHandle *standardOutputHandle;
        NSFileHandle *outputFileHandle;
}

//
// executable is full path to program
// args is an array of strings of the arguments
// send in an NSTextView if you want console behaviour
// includeStandardOut: is YES if you also want stdout logged to Text
//

- (id)initAndLaunchWithArgs:(NSArray *)args executable:(NSString *)pathToExe directory:(NSString *)dir logToText:(NSTextView *)text includeStandardOutput:(BOOL)includeStandardOut outFile:(NSString *)outFile owner:anOwner environment:(NSDictionary *)environment;


+ (void)appendString:(NSString *)string toText:(NSTextView *)tv newLine:(BOOL)newLine;

@end
